import Component from '../../component.js'

export default class CoUxAiconBox extends Component {
    constructor(parent) {
      let selector = 'ux-a-icon-box';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/src/lib/ux-components/atomic/ux-a-icon-box/ux-a-icon-box.component.html?at=support/10.x
    }
    get iconBox() {
      let path = '//div[@data-e2e="ux-a-icon-box"]';
      return this.currentPath + path;
    }
    get icon() {
      let path = '//div[contains(@class,"ux-a-icon-box__icon")]';
      return this.iconBox + path;
    }
    get iconElement() {
      let path = '//span[contains(@class,"ux-a-icon-box__icon-element")]';
      return this.icon + path;
    }
    get iconLabel() {
      let path = '//div[contains(@class,"ux-a-icon-box__label")]';
      return this.iconBox + path;
    }
}


